Page MenuHomePhabricator

efl: for consistency and effiency move Efl.Model event to send stringshare like Property_Bind event.
ClosedPublic

Authored by cedric on Feb 13 2019, 10:52 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Feb 13 2019, 10:52 AM
cedric requested review of this revision.Feb 13 2019, 10:52 AM
cedric updated this revision to Diff 19461.Feb 15 2019, 3:05 PM

Rebase.

cedric updated this revision to Diff 19784.Feb 27 2019, 1:40 PM

Rebase.

cedric updated this revision to Diff 19868.Mar 1 2019, 10:38 AM

Rebase.

vitor.sousa commandeered this revision.Mar 6 2019, 1:20 PM
vitor.sousa added a reviewer: cedric.
vitor.sousa added a subscriber: vitor.sousa.

I can't apply this to the master. Could you rebase it?

vitor.sousa added a comment.EditedMar 6 2019, 1:40 PM

hmmm, I guess I mistakenly did something that put me as the author...
Trying to revert that.

Well, I simple don't know how to revert this...
Are you able to do that @cedric ?

cedric updated this revision to Diff 20054.Mar 6 2019, 3:42 PM

Rebase.

cedric commandeered this revision.Mar 6 2019, 3:48 PM
cedric edited reviewers, added: vitor.sousa; removed: cedric.
vitor.sousa requested changes to this revision.Mar 7 2019, 12:40 PM
vitor.sousa added inline comments.
src/lib/eldbus/eldbus_model_proxy.c
590

I think the same stringshare may be _del'ed two times if any goto on_error; happens before tmp = eina_stringshare_add(property);.
Maybe assigning NULL to tmp after storing it in the array?

This revision now requires changes to proceed.Mar 7 2019, 12:40 PM
cedric planned changes to this revision.Mar 7 2019, 2:51 PM

Good point, will fix.

cedric updated this revision to Diff 20273.Mar 7 2019, 4:02 PM

Rebase and fix reported issue.

vitor.sousa accepted this revision.Mar 8 2019, 7:10 AM
This revision is now accepted and ready to land.Mar 8 2019, 7:10 AM
cedric updated this revision to Diff 20341.Mar 8 2019, 1:58 PM

Rebase.

This revision was automatically updated to reflect the committed changes.